Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1185)
@@ -39,5 +39,5 @@
 #include "SEIread.h"
 #include "TDecSlice.h"
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
 #include "TDecTop.h"
 #endif
@@ -93,30 +93,8 @@
 TDecCavlc::TDecCavlc()
 {
-#if !HHI_CAM_PARA_K0052
-#if H_3D
-  m_aaiTempScale            = new Int* [ MAX_NUM_LAYERS ];
-  m_aaiTempOffset           = new Int* [ MAX_NUM_LAYERS ];
-  for( UInt uiVId = 0; uiVId < MAX_NUM_LAYERS; uiVId++ )
-  {
-    m_aaiTempScale            [ uiVId ] = new Int [ MAX_NUM_LAYERS ];
-    m_aaiTempOffset           [ uiVId ] = new Int [ MAX_NUM_LAYERS ];
-  }
-#endif
-#endif
 }
 
 TDecCavlc::~TDecCavlc()
 {
-#if !HHI_CAM_PARA_K0052
-#if H_3D
-  for( UInt uiVId = 0; uiVId < MAX_NUM_LAYERS; uiVId++ )
-  {
-    delete [] m_aaiTempScale            [ uiVId ];
-    delete [] m_aaiTempOffset           [ uiVId ];
-  }
-  delete [] m_aaiTempScale;
-  delete [] m_aaiTempOffset;
-#endif
-#endif
 }
 
@@ -1048,9 +1026,5 @@
       READ_FLAG( uiCode, "qt_pred_flag" ); sps3dExt->setQtPredFlag( d, uiCode == 1 );
       READ_FLAG( uiCode, "inter_sdc_flag" ); sps3dExt->setInterSdcFlag( d, uiCode == 1 );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
       READ_FLAG( uiCode, "intra_skip_flag" ); sps3dExt->setDepthIntraSkipFlag( d, uiCode == 1 );
-#else
-      READ_FLAG( uiCode, "intra_single_flag" ); sps3dExt->setIntraSingleFlag( d, uiCode == 1 );
-#endif
     }
   }
@@ -1063,12 +1037,8 @@
   READ_FLAG( uiCode, "poc_reset_info_present_flag" ); pcPPS->setPocResetInfoPresentFlag( uiCode == 1 );
   READ_FLAG( uiCode, "pps_infer_scaling_list_flag" ); pcPPS->setPpsInferScalingListFlag( uiCode == 1 );
-#if FIX_TICKET_95
   if (pcPPS->getPpsInferScalingListFlag())
   {
   READ_CODE( 6, uiCode, "pps_scaling_list_ref_layer_id" ); pcPPS->setPpsScalingListRefLayerId( uiCode );
   }
-#else
-  READ_CODE( 6, uiCode, "pps_scaling_list_ref_layer_id" ); pcPPS->setPpsScalingListRefLayerId( uiCode );
-#endif
 
   UInt numRefLocOffsets;; 
@@ -1336,8 +1306,6 @@
   }
 
-#if HHI_INTER_COMP_PRED_K0052
 #if H_3D
   pcVPS->initViewCompLayer( ); 
-#endif
 #endif
 
@@ -1929,5 +1897,4 @@
 Void TDecCavlc::parseVPS3dExtension( TComVPS* pcVPS )
 {
-#if HHI_CAM_PARA_K0052
   UInt uiCode;   
   READ_UVLC( uiCode, "cp_precision"); pcVPS->setCpPrecision( uiCode ) ;
@@ -1959,55 +1926,4 @@
   }
   pcVPS->deriveCpPresentFlag(); 
-#else
-  UInt uiCode; 
-
-  UInt uiCamParPrecision = 0; 
-  Bool bCamParSlice      = false; 
-  Bool bCamParPresentFlag = false;
-
-  READ_UVLC( uiCamParPrecision, "cp_precision" );
-#if HHI_VIEW_ID_LIST_I5_J0107
-  for (Int n = 1; n < pcVPS->getNumViews(); n++)
-  {
-    Int viewIndex = pcVPS->getViewOIdxList( n ); 
-#else
-  for (UInt viewIndex=1; viewIndex<pcVPS->getNumViews(); viewIndex++)
-  {
-#endif
-    pcVPS->setCamParPresent         ( viewIndex, false );
-    pcVPS->setHasCamParInSliceHeader( viewIndex, false );
-    READ_FLAG( uiCode, "cp_present_flag[i]" );                  bCamParPresentFlag = ( uiCode == 1);
-    if ( bCamParPresentFlag )
-    {
-      READ_FLAG( uiCode, "cp_in_slice_segment_header_flag[i]" );          bCamParSlice = ( uiCode == 1);
-      if ( !bCamParSlice )
-      {
-#if HHI_VIEW_ID_LIST_I5_J0107
-        for( UInt m = 0; m < n; n++ )
-        {
-          Int uiBaseIndex = pcVPS->getViewOIdxList ( m ); 
-          Int iCode; 
-          READ_SVLC( iCode, "vps_cp_scale" );                m_aaiTempScale  [ uiBaseIndex ][ viewIndex ]   = iCode;
-          READ_SVLC( iCode, "vps_cp_off" );                  m_aaiTempOffset [ uiBaseIndex ][ viewIndex ]   = iCode;
-          READ_SVLC( iCode, "vps_cp_inv_scale_plus_scale" ); m_aaiTempScale  [ viewIndex   ][ uiBaseIndex ] = iCode - m_aaiTempScale [ uiBaseIndex ][ viewIndex ];
-          READ_SVLC( iCode, "vps_cp_inv_off_plus_off" );     m_aaiTempOffset [ viewIndex   ][ uiBaseIndex ] = iCode - m_aaiTempOffset[ uiBaseIndex ][ viewIndex ];
-        }
-      }
-      pcVPS->initCamParaVPS( viewIndex, bCamParPresentFlag, uiCamParPrecision, bCamParSlice, m_aaiTempScale, m_aaiTempOffset ); 
-#else
-        for( UInt uiBaseIndex = 0; uiBaseIndex < viewIndex; uiBaseIndex++ )
-        {
-          Int iCode; 
-          READ_SVLC( iCode, "vps_cp_scale" );                m_aaiTempScale  [ uiBaseIndex ][ viewIndex ]   = iCode;
-          READ_SVLC( iCode, "vps_cp_off" );                  m_aaiTempOffset [ uiBaseIndex ][ viewIndex ]   = iCode;
-          READ_SVLC( iCode, "vps_cp_inv_scale_plus_scale" ); m_aaiTempScale  [ viewIndex   ][ uiBaseIndex ] = iCode - m_aaiTempScale [ uiBaseIndex ][ viewIndex ];
-          READ_SVLC( iCode, "vps_cp_inv_off_plus_off" );     m_aaiTempOffset [ viewIndex   ][ uiBaseIndex ] = iCode - m_aaiTempOffset[ uiBaseIndex ][ viewIndex ];
-        }
-      }
-      pcVPS->initCamParaVPS( viewIndex, bCamParPresentFlag, uiCamParPrecision, bCamParSlice, m_aaiTempScale, m_aaiTempOffset ); 
-#endif
-    }
-  }
-#endif
 }
 #endif
@@ -2070,9 +1986,4 @@
 #endif
   rpcSlice->setSPS(sps);
-#if !HHI_INTER_COMP_PRED_K0052
-#if H_3D
-  rpcSlice->init3dToolParameters();
-#endif
-#endif
   rpcSlice->setPPS(pps);
   if( pps->getDependentSliceSegmentsEnabledFlag() && ( !firstSliceSegmentInPic ))
@@ -2468,5 +2379,4 @@
       }
     }
-#if HHI_INTER_COMP_PRED_K0052
 #if H_3D
     if ( getDecTop()->decProcAnnexI() )
@@ -2479,5 +2389,4 @@
       rpcSlice->init3dToolParameters(); 
     }
-#endif
 #endif
 #endif
@@ -2662,12 +2571,8 @@
     }
 #if H_3D_IC
-#if H_3D_ANNEX_SELECTION_FIX
     else if(    rpcSlice->getViewIndex() && ( rpcSlice->getSliceType() == P_SLICE || rpcSlice->getSliceType() == B_SLICE ) 
              && !rpcSlice->getIsDepth() && vps->getNumRefListLayers( layerId ) > 0 
              && getDecTop()->decProcAnnexI()
            )
-#else
-    else if( rpcSlice->getViewIndex() && ( rpcSlice->getSliceType() == P_SLICE || rpcSlice->getSliceType() == B_SLICE ) && !rpcSlice->getIsDepth() && vps->getNumRefListLayers( layerId ) > 0 )
-#endif
     {
       UInt uiCodeTmp = 0;
@@ -2766,5 +2671,4 @@
     rpcSlice->setLFCrossSliceBoundaryFlag( (uiCode==1)?true:false);
 
-#if HHI_CAM_PARA_K0052
 #if H_3D
     if ( getDecTop()->decProcAnnexI() )
@@ -2784,5 +2688,4 @@
     }
 #endif
-#endif
   }
   
@@ -2808,24 +2711,4 @@
   }
 
-#if !HHI_CAM_PARA_K0052
-#if H_3D
-#if H_3D_FCO
-  if( rpcSlice->getVPS()->hasCamParInSliceHeader( rpcSlice->getViewIndex() )  && rpcSlice->getIsDepth() )
-#else
-  if( rpcSlice->getVPS()->hasCamParInSliceHeader( rpcSlice->getViewIndex() )  && !rpcSlice->getIsDepth() )
-#endif
-  {
-    UInt uiViewIndex = rpcSlice->getViewIndex();
-    for( UInt uiBaseIndex = 0; uiBaseIndex < uiViewIndex; uiBaseIndex++ )
-    {
-      READ_SVLC( iCode, "cp_scale" );                m_aaiTempScale [ uiBaseIndex ][ uiViewIndex ] = iCode;
-      READ_SVLC( iCode, "cp_off" );                  m_aaiTempOffset[ uiBaseIndex ][ uiViewIndex ] = iCode;
-      READ_SVLC( iCode, "cp_inv_scale_plus_scale" ); m_aaiTempScale [ uiViewIndex ][ uiBaseIndex ] = iCode - m_aaiTempScale [ uiBaseIndex ][ uiViewIndex ];
-      READ_SVLC( iCode, "cp_inv_off_plus_off" );     m_aaiTempOffset[ uiViewIndex ][ uiBaseIndex ] = iCode - m_aaiTempOffset[ uiBaseIndex ][ uiViewIndex ];
-    }
-    rpcSlice->setCamparaSlice( m_aaiTempScale, m_aaiTempOffset );
-  }
-#endif
-#endif
 
   if(pps->getSliceHeaderExtensionPresentFlag())
@@ -3100,17 +2983,9 @@
   assert(0);
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TDecCavlc::parseDIS( TComDataCU* /*pcCU*/, UInt /*uiAbsPartIdx*/, UInt /*uiDepth*/ )
 {
   assert(0);
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TDecCavlc::parseSingleDepthMode( TComDataCU* /*pcCU*/, UInt /*uiAbsPartIdx*/, UInt /*uiDepth*/ )
-{
-  assert(0);
-}
-#endif
 #endif
 
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1185)
@@ -52,8 +52,7 @@
 // Class definition
 // ====================================================================================================================
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
 class TDecTop;
 #endif
-
 /// CAVLC decoder class
 class TDecCavlc : public SyntaxElementParser, public TDecEntropyIf
@@ -66,12 +65,5 @@
   void  parseShortTermRefPicSet            (TComSPS* pcSPS, TComReferencePictureSet* pcRPS, Int idx);
   
-
-#if !HHI_CAM_PARA_K0052
 #if H_3D
-  Int**    m_aaiTempScale;
-  Int**    m_aaiTempOffset;
-#endif
-#endif
-#if H_3D_ANNEX_SELECTION_FIX
   TDecTop*  m_decTop;
 #endif
@@ -118,5 +110,5 @@
   Void  parsePPS            ( TComPPS* pcPPS);
 #endif
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
   Void  setDecTop           ( TDecTop* decTop ) { m_decTop = decTop; }; 
 #endif
@@ -136,10 +128,6 @@
   
   Void  parseSkipFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void  parseDIS            ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-  Void  parseSingleDepthMode        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#endif
 #endif
   Void  parseCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
@@ -182,6 +170,5 @@
   Void  parseScalingList               ( TComScalingList* scalingList );
   Void xDecodeScalingList    ( TComScalingList *scalingList, UInt sizeId, UInt listId);
-
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
   TDecTop*  getDecTop()      { return m_decTop; };
 #endif
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 1185)
@@ -310,7 +310,4 @@
 #if H_3D_NBDV 
   DisInfo DvInfo; 
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  DvInfo.bDV = false;
-#endif
   DvInfo.m_acNBDV.setZero();
   DvInfo.m_aVIdxCan = 0;
@@ -347,9 +344,5 @@
       if( pcCU->getSlice()->getIsDepth())
       {
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
         m_ppcCU[uiDepth]->getDispforDepth(0, 0, &DvInfo);
-#else
-        DvInfo.bDV = m_ppcCU[uiDepth]->getDispforDepth(0, 0, &DvInfo);
-#endif
       }
       else
@@ -359,18 +352,10 @@
       if( pcCU->getSlice()->getDepthBasedBlkPartFlag() )  //Notes from QC: please check the condition for DoNBDV. Remove this comment once it is done.
       {
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
         m_ppcCU[uiDepth]->getDisMvpCandNBDV(&DvInfo, true);
-#else
-        DvInfo.bDV = m_ppcCU[uiDepth]->getDisMvpCandNBDV(&DvInfo, true);
-#endif
       }
       else
 #endif
       {
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
         m_ppcCU[uiDepth]->getDisMvpCandNBDV(&DvInfo);
-#else
-        DvInfo.bDV = m_ppcCU[uiDepth]->getDisMvpCandNBDV(&DvInfo);
-#endif
       }
 #if H_3D_IV_MERGE
@@ -545,23 +530,12 @@
     return;
   }
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_pcEntropyDecoder->decodeDIS( pcCU, uiAbsPartIdx, uiDepth );
   if(!pcCU->getDISFlag(uiAbsPartIdx))
   {
-#else
-#if H_3D_SINGLE_DEPTH
-  m_pcEntropyDecoder->decodeSingleDepthMode( pcCU, uiAbsPartIdx, uiDepth );
-  if(!pcCU->getSingleDepthFlag(uiAbsPartIdx))
-  {
-#endif
 #endif
   m_pcEntropyDecoder->decodePredMode( pcCU, uiAbsPartIdx, uiDepth );
   m_pcEntropyDecoder->decodePartSize( pcCU, uiAbsPartIdx, uiDepth );
 
-#if !HHI_MOVE_SYN_K0052
-#if H_3D_DIM_SDC
-  m_pcEntropyDecoder->decodeSDCFlag( pcCU, uiAbsPartIdx, uiDepth );
-#endif
-#endif
   if (pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N )
   {
@@ -570,8 +544,6 @@
     if(pcCU->getIPCMFlag(uiAbsPartIdx))
     {
-#if HHI_MOVE_SYN_K0052
 #if H_3D_DIM_SDC
       m_pcEntropyDecoder->decodeSDCFlag( pcCU, uiAbsPartIdx, uiDepth );
-#endif
 #endif
       xFinishDecodeCU( pcCU, uiAbsPartIdx, uiDepth, ruiIsLast );
@@ -593,10 +565,6 @@
   m_pcEntropyDecoder->decodeCoeff( pcCU, uiAbsPartIdx, uiDepth, uiCurrWidth, uiCurrHeight, bCodeDQP );
   setdQPFlag( bCodeDQP );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
-  }
-#else
-#if H_3D_SINGLE_DEPTH
-  }
-#endif
+#if H_3D
+  }
 #endif
   xFinishDecodeCU( pcCU, uiAbsPartIdx, uiDepth, ruiIsLast );
@@ -688,5 +656,5 @@
       break;
     case MODE_INTRA:
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
       if( m_ppcCU[uiDepth]->getDISFlag(0) )
       {
@@ -700,20 +668,4 @@
 #endif
       else
-#else
-#if H_3D_SINGLE_DEPTH
-      if( m_ppcCU[uiDepth]->getSingleDepthFlag(0) )
-        xReconIntraSingleDepth( m_ppcCU[uiDepth], 0, uiDepth );
-#if H_3D_DIM_SDC
-      else if( m_ppcCU[uiDepth]->getSDCFlag(0) )
-        xReconIntraSDC( m_ppcCU[uiDepth], 0, uiDepth );
-#endif
-      else
-#else
-#if H_3D_DIM_SDC
-      if( m_ppcCU[uiDepth]->getSDCFlag(0) )
-        xReconIntraSDC( m_ppcCU[uiDepth], 0, uiDepth );
-      else
-#endif
-#endif
 #endif
       xReconIntraQT( m_ppcCU[uiDepth], uiDepth );
@@ -751,5 +703,5 @@
 }
 
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TDecCu::xReconDIS( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
@@ -828,75 +780,5 @@
   }
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TDecCu::xReconIntraSingleDepth( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
-{
-  UInt uiWidth        = pcCU->getWidth  ( 0 );
-  UInt uiHeight       = pcCU->getHeight ( 0 );
-
-  TComYuv* pcRecoYuv  = m_ppcYuvReco[uiDepth];
-
-  UInt    uiStride    = pcRecoYuv->getStride  ();
-  Pel*    piReco      = pcRecoYuv->getLumaAddr( uiAbsPartIdx );
-
-
-  AOF( uiWidth == uiHeight );
-  AOF( uiAbsPartIdx == 0 );
-
-  //construction of depth candidates
-  Pel testDepth;
-  Pel DepthNeighbours[2];
-  Int index =0;
-  for( Int i = 0; (i < 2) && (index<SINGLE_DEPTH_MODE_CAND_LIST_SIZE) ; i++ )
-  {
-    if(!pcCU->getNeighDepth (0, uiAbsPartIdx, &testDepth, i))
-    {
-      continue;
-    }
-    DepthNeighbours[index]=testDepth;
-    index++;
-  }
-
-  if(index==0)
-  {
-    DepthNeighbours[index]=1<<(g_bitDepthY-1);
-    index++;
-  }
-
-  if(index==1)
-  {
-    DepthNeighbours[index]=ClipY(DepthNeighbours[0] + 1 );
-    index++;
-  }
-
-  for( UInt uiY = 0; uiY < uiHeight; uiY++ )
-  {
-    for( UInt uiX = 0; uiX < uiWidth; uiX++ )
-    {
-      piReco[ uiX ] =DepthNeighbours[(Int)pcCU->getSingleDepthValue(uiAbsPartIdx)];
-    }
-    piReco     += uiStride;
-  }
-
-  // clear UV
-  UInt  uiStrideC     = pcRecoYuv->getCStride();
-  Pel   *pRecCb       = pcRecoYuv->getCbAddr();
-  Pel   *pRecCr       = pcRecoYuv->getCrAddr();
-
-  for (Int y=0; y<uiHeight/2; y++)
-  {
-    for (Int x=0; x<uiWidth/2; x++)
-    {
-      pRecCb[x] = 1<<(g_bitDepthC-1);
-      pRecCr[x] = 1<<(g_bitDepthC-1);
-    }
-
-    pRecCb += uiStrideC;
-    pRecCr += uiStrideC;
-  }
-}
-#endif
-#endif
-
+#endif
 #if H_3D_INTER_SDC
 Void TDecCu::xReconInterSDC( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
@@ -962,9 +844,5 @@
   // compute mask by segmenting depth block
   Bool pMask[MAX_CU_SIZE*MAX_CU_SIZE];
-#if HS_DBBP_CLEAN_K0048
   Bool bValidMask = m_pcPrediction->getSegmentMaskFromDepth(pDepthPels, uiDepthStride, pcCU->getWidth(0), pcCU->getHeight(0), pMask, pcCU);
-#else
-  Bool bValidMask = m_pcPrediction->getSegmentMaskFromDepth(pDepthPels, uiDepthStride, pcCU->getWidth(0), pcCU->getHeight(0), pMask);
-#endif
   AOF(bValidMask);
   
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCu.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCu.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecCu.h	(revision 1185)
@@ -123,10 +123,6 @@
   Void setdQPFlag               ( Bool b )                { m_bDecodeDQP = b;           }
   Void xFillPCMBuffer           (TComDataCU* pCU, UInt depth);
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void xReconDIS               ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-  Void xReconIntraSingleDepth( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#endif
 #endif
 #if H_3D_DIM_SDC
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 1185)
@@ -52,6 +52,5 @@
   m_pcEntropyDecoderIf->parseSkipFlag( pcCU, uiAbsPartIdx, uiDepth );
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TDecEntropy::decodeDIS( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
@@ -63,16 +62,4 @@
   m_pcEntropyDecoderIf->parseDIS( pcCU, uiAbsPartIdx, uiDepth );
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TDecEntropy::decodeSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
-{
-  if( !pcCU->getSlice()->getIntraSingleFlag() )
-  {
-    return;
-  }  
-
-  m_pcEntropyDecoderIf->parseSingleDepthMode( pcCU, uiAbsPartIdx, uiDepth );
-}
-#endif
 #endif
 
@@ -161,12 +148,4 @@
 {
   m_pcEntropyDecoderIf->parsePartSize( pcCU, uiAbsPartIdx, uiDepth );
-#if !HHI_MOVE_SYN_K0052  
-#if H_3D_DBBP
-if( pcCU->getSlice()->getDepthBasedBlkPartFlag() && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 && pcCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-  {
-    decodeDBBPFlag(pcCU, uiAbsPartIdx, uiDepth);
-  }
-#endif
-#endif
 }
 
@@ -176,14 +155,8 @@
   {
     decodeIntraDirModeLuma  ( pcCU, uiAbsPartIdx, uiDepth );
-#if HHI_MOVE_SYN_K0052
+#if H_3D_DIM_SDC
     decodeSDCFlag   ( pcCU, uiAbsPartIdx, uiDepth );    
-#endif
-#if H_3D_DIM_SDC
 #if H_3D_DISABLE_CHROMA
-#if !HHI_MOVE_SYN_K0052
-    if(!pcCU->getSDCFlag(uiAbsPartIdx) && !pcCU->getSlice()->getIsDepth() )
-#else
     if(!pcCU->getSDCFlag(uiAbsPartIdx) && pcCU->getSlice()->getSPS()->getChromaFormatIdc() != 0  )
-#endif
 #else
     if(!pcCU->getSDCFlag(uiAbsPartIdx))
@@ -265,5 +238,5 @@
   pcSubCU->copyDVInfoFrom( pcCU, uiAbsPartIdx);
 #endif
-#if HHI_MOVE_SYN_K0052
+#if H_3D
   for ( UInt uiPartIdx = 0, uiSubPartIdx = uiAbsPartIdx; uiPartIdx < uiNumPU; uiPartIdx++, uiSubPartIdx += uiPUOffset )
   {
@@ -475,49 +448,10 @@
       decodeMergeIndex( pcCU, uiPartIdx, uiSubPartIdx, uiDepth );
       UInt uiMergeIndex = pcCU->getMergeIndex(uiSubPartIdx);
-#if H_3D_ARP
-      decodeARPW  ( pcCU, uiAbsPartIdx, uiDepth );
-#endif
-#if H_3D_IC
-      decodeICFlag( pcCU, uiAbsPartIdx, uiDepth );
-#endif
-#if H_3D_DBBP
       if ( pcCU->getSlice()->getPPS()->getLog2ParallelMergeLevelMinus2() && ePartSize != SIZE_2Nx2N && pcSubCU->getWidth( 0 ) <= 8 && pcCU->getDBBPFlag(uiAbsPartIdx) == false )
-#else
-      if ( pcCU->getSlice()->getPPS()->getLog2ParallelMergeLevelMinus2() && ePartSize != SIZE_2Nx2N && pcSubCU->getWidth( 0 ) <= 8 ) 
-#endif
       {
         pcSubCU->setPartSizeSubParts( SIZE_2Nx2N, 0, uiDepth );
         if ( !isMerged )
         {
-#if H_3D_VSP
-          Int vspFlag[MRG_MAX_NUM_CANDS_MEM];
-          memset(vspFlag, 0, sizeof(Int)*MRG_MAX_NUM_CANDS_MEM);
-#if H_3D_SPIVMP
-          memset(bSPIVMPFlag, false, sizeof(Bool)*MRG_MAX_NUM_CANDS_MEM);
-#endif
-          pcSubCU->initAvailableFlags();
-          pcSubCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand);
-          pcSubCU->xGetInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours
-#if H_3D_SPIVMP
-            , pcMvFieldSP, puhInterDirSP
-#endif
-            , numValidMergeCand );
-          pcSubCU->buildMCL( cMvFieldNeighbours, uhInterDirNeighbours, vspFlag
-#if H_3D_SPIVMP
-            , bSPIVMPFlag
-#endif
-            , numValidMergeCand );
-          pcCU->setVSPFlagSubParts( vspFlag[uiMergeIndex], uiSubPartIdx, uiPartIdx, uiDepth );
-
-#else
-#if H_3D
-          pcSubCU->initAvailableFlags();
-          pcSubCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand);
-          pcSubCU->xGetInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand );
-
-#else
           pcSubCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand );
-#endif
-#endif
           isMerged = true;
         }
@@ -527,32 +461,5 @@
       {
         uiMergeIndex = pcCU->getMergeIndex(uiSubPartIdx);
-#if H_3D_VSP
-        Int vspFlag[MRG_MAX_NUM_CANDS_MEM];
-        memset(vspFlag, 0, sizeof(Int)*MRG_MAX_NUM_CANDS_MEM);
-#if H_3D_SPIVMP
-        memset(bSPIVMPFlag, false, sizeof(Bool)*MRG_MAX_NUM_CANDS_MEM);
-#endif
-        pcSubCU->initAvailableFlags();
         pcSubCU->getInterMergeCandidates( uiSubPartIdx-uiAbsPartIdx, uiPartIdx, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand, uiMergeIndex );
-        pcSubCU->xGetInterMergeCandidates( uiSubPartIdx-uiAbsPartIdx, uiPartIdx, cMvFieldNeighbours, uhInterDirNeighbours
-#if H_3D_SPIVMP
-          , pcMvFieldSP, puhInterDirSP
-#endif
-          ,numValidMergeCand, uiMergeIndex );
-        pcSubCU->buildMCL( cMvFieldNeighbours, uhInterDirNeighbours, vspFlag
-#if H_3D_SPIVMP
-          , bSPIVMPFlag
-#endif
-          ,numValidMergeCand );
-        pcCU->setVSPFlagSubParts( vspFlag[uiMergeIndex], uiSubPartIdx, uiPartIdx, uiDepth );
-#else
-#if H_3D
-        pcSubCU->initAvailableFlags();
-        pcSubCU->getInterMergeCandidates( uiSubPartIdx-uiAbsPartIdx, uiPartIdx, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand, uiMergeIndex );
-        pcSubCU->xGetInterMergeCandidates( uiSubPartIdx-uiAbsPartIdx, uiPartIdx, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand, uiMergeIndex );
-#else
-        pcSubCU->getInterMergeCandidates( uiSubPartIdx-uiAbsPartIdx, uiPartIdx, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand, uiMergeIndex );
-#endif
-#endif
       }
       pcCU->setInterDirSubParts( uhInterDirNeighbours[uiMergeIndex], uiSubPartIdx, uiPartIdx, uiDepth );
@@ -567,47 +474,6 @@
           pcCU->getCUMvField( RefPicList( uiRefListIdx ) )->setAllMvd( cTmpMv, ePartSize, uiSubPartIdx, uiDepth, uiPartIdx );
           pcCU->getCUMvField( RefPicList( uiRefListIdx ) )->setAllMvField( cMvFieldNeighbours[ 2*uiMergeIndex + uiRefListIdx ], ePartSize, uiSubPartIdx, uiDepth, uiPartIdx );
-#if H_3D_VSP
-#if H_3D_DBBP
-          if( pcCU->getVSPFlag( uiSubPartIdx ) != 0 && !pcCU->getDBBPFlag( uiAbsPartIdx ) )
-#else
-          if( pcCU->getVSPFlag( uiSubPartIdx ) != 0 )
-#endif
-          {
-            if ( uhInterDirNeighbours[ uiMergeIndex ] & (1<<uiRefListIdx) )
-            {
-              UInt dummy;
-              Int vspSize;
-              Int width, height;
-              pcCU->getPartIndexAndSize( uiPartIdx, dummy, width, height, uiSubPartIdx, pcCU->getTotalNumPart()==256 );
-              pcCU->setMvFieldPUForVSP( pcCU, uiSubPartIdx, width, height, RefPicList( uiRefListIdx ), cMvFieldNeighbours[ 2*uiMergeIndex + uiRefListIdx ].getRefIdx(), vspSize );
-              pcCU->setVSPFlag( uiSubPartIdx, vspSize );
-            }
-          }
-#endif
-        }
-      }
-#if H_3D_SPIVMP
-      pcCU->setSPIVMPFlagSubParts(bSPIVMPFlag[uiMergeIndex], uiSubPartIdx, uiPartIdx, uiDepth );  
-      if (bSPIVMPFlag[uiMergeIndex] != 0)
-      {
-        Int iWidth, iHeight;
-        UInt uiIdx;
-        pcCU->getPartIndexAndSize( uiPartIdx, uiIdx, iWidth, iHeight, uiSubPartIdx, true );
-
-        UInt uiSPAddr;
-
-        Int iNumSPInOneLine, iNumSP, iSPWidth, iSPHeight;
-
-        pcCU->getSPPara(iWidth, iHeight, iNumSP, iNumSPInOneLine, iSPWidth, iSPHeight);
-
-        for (Int iPartitionIdx = 0; iPartitionIdx < iNumSP; iPartitionIdx++)
-        {
-          pcCU->getSPAbsPartIdx(uiSubPartIdx, iSPWidth, iSPHeight, iPartitionIdx, iNumSPInOneLine, uiSPAddr);
-          pcCU->setInterDirSP(puhInterDirSP[iPartitionIdx], uiSPAddr, iSPWidth, iSPHeight);
-          pcCU->getCUMvField( REF_PIC_LIST_0 )->setMvFieldSP(pcCU, uiSPAddr, pcMvFieldSP[2*iPartitionIdx], iSPWidth, iSPHeight);
-          pcCU->getCUMvField( REF_PIC_LIST_1 )->setMvFieldSP(pcCU, uiSPAddr, pcMvFieldSP[2*iPartitionIdx + 1], iSPWidth, iSPHeight);
-        }
-      }
-#endif
+        }
+      }
     }
     else
@@ -706,5 +572,5 @@
 }
 
-#if HHI_MOVE_SYN_K0052
+#if H_3D
 Void TDecEntropy::decodeMVPIdxPU( TComDataCU* pcSubCU, UInt uiPartAddr, UInt uiDepth, UInt uiPartIdx, RefPicList eRefList )
 {
@@ -753,5 +619,4 @@
   pcSubCU->getCUMvField( eRefList )->setAllMv(cMv, ePartSize, uiPartAddr, 0, uiPartIdx);
 }
-
 #else
 Void TDecEntropy::decodeMVPIdxPU( TComDataCU* pcSubCU, UInt uiPartAddr, UInt uiDepth, UInt uiPartIdx, RefPicList eRefList )
@@ -798,4 +663,5 @@
 }
 #endif
+
 Void TDecEntropy::xDecodeTransform( TComDataCU* pcCU, UInt offsetLuma, UInt offsetChroma, UInt uiAbsPartIdx, UInt uiDepth, UInt width, UInt height, UInt uiTrIdx, Bool& bCodeDQP, Int quadtreeTULog2MinSizeInCU)
 {
@@ -1131,10 +997,8 @@
 {
   pcCU->setSDCFlagSubParts( false, uiAbsPartIdx, uiDepth );
-#if HHI_MOVE_SYN_K0052
   if ( pcCU->isSkipped( uiAbsPartIdx ) )
   {
     return; 
   }
-#endif
 
 
@@ -1157,12 +1021,8 @@
 Void TDecEntropy::decodeDBBPFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
-#if HHI_MOVE_SYN_K0052
   if( pcCU->getSlice()->getDepthBasedBlkPartFlag() && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 && pcCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
   {
-#endif
     m_pcEntropyDecoderIf->parseDBBPFlag( pcCU, uiAbsPartIdx, uiDepth );
-#if HHI_MOVE_SYN_K0052
-  }
-#endif
+  }
 }
 #endif
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 1185)
@@ -85,10 +85,6 @@
 public:
   virtual Void parseSkipFlag      ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth ) = 0;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   virtual Void parseDIS           ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth ) = 0;
-#else
-#if H_3D_SINGLE_DEPTH
-  virtual Void parseSingleDepthMode       ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth ) = 0;
-#endif
 #endif
   virtual Void parseCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth ) = 0;
@@ -152,7 +148,8 @@
   Void decodeMvdPU        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiPartIdx, RefPicList eRefList );
   Void decodeMVPIdxPU     ( TComDataCU* pcSubCU, UInt uiPartAddr, UInt uiDepth, UInt uiPartIdx, RefPicList eRefList );
-#if HHI_MOVE_SYN_K0052
-  Void decodeMvsAMVP       ( TComDataCU* pcSubCU, UInt uiPartAddr, UInt uiDepth, UInt uiPartIdx, RefPicList eRefList );
-#endif  
+#if H_3D
+  Void decodeMvsAMVP       ( TComDataCU* pcSubCU, UInt uiPartAddr, UInt uiDepth, UInt uiPartIdx, 
+RefPicList eRefList );
+#endif
   Void    setEntropyDecoder           ( TDecEntropyIf* p );
   Void    setBitstream                ( TComInputBitstream* p ) { m_pcEntropyDecoderIf->setBitstream(p);                    }
@@ -177,10 +174,6 @@
   Void decodeSplitFlag         ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
   Void decodeSkipFlag          ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void decodeDIS               ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth ) ;
-#else
-#if H_3D_SINGLE_DEPTH
-  Void decodeSingleDepthMode ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth ) ;
-#endif
 #endif
   Void decodeCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecGop.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecGop.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecGop.h	(revision 1185)
@@ -63,5 +63,5 @@
 // Class definition
 // ====================================================================================================================
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
 class TDecTop; 
 #endif
@@ -83,5 +83,5 @@
   TDecSlice*            m_pcSliceDecoder;
   TComLoopFilter*       m_pcLoopFilter;
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
   TDecTop*              m_decTop; 
 #endif
